%%%%%%%%%%%%%%%%%%%%%%%%%%DEMO FILE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Coded by:  Romeil Sandhu
%Function:  This is a demo that shows a trivally segmentation example.
%           Note:  The code is slow compared to other active contours.
%           and is used to demonstrate a new distribution metric for
%           medical imaging.  Other energies can be coded here, but
%           provided is a basic GAC framework.
%         
%Paper:     "A New Distribution Metric for Image Segmentation," in SPIE
%           Medical Imaging, 2008.
%
%Thanks:    Special thanks to Shawn Lankton, Samuel Dambreville, and James 
%           Malcolm for their input and help in constucting this framework
%
%More Info:  Visit www.romeilsandhu.com/research_projects/p
%


%set parameters:
img_path      = 'twoObj.bmp'; %--image path for segmentation
iter          = 1000;         %--# of iterations to be run
dt            = .4;           %--time step for update (<.5 to satisfy CFL)
alpha         = .005;         %--weight for curvature term
flag_approx   = 1;            %--flow by sign of gradient (faster convergence)

%pre-load mask for demo.
load MASK_twoObj.mat;         %--loads variable "mask" to automate segmentation
[result,pin,pout] = run(img_path,iter,dt,alpha,flag_approx,mask);

%display final result
imshow(imread(img_path),'InitialMagnification', 300);
fat_contour(result);

